mode(-1);
// specific part
libname='fempostlib'

libtitle='Finite Elements Post Processing toolbox';


// generic part  
// get the absolute path 
[units,typs,nams]=file();
clear units typs
for k=size(nams,'*'):-1:1 
  l=strindex(nams(k),'loader.sce');
  if l<>[] then
    DIR=part(nams(k),1:l($)-1);
    break
  end
end


if ~MSDOS then
  if part(DIR,1)<>'/' then DIR=getcwd()+'/'+DIR,end
  MACROS=DIR+'macros/'
else 
  if part(DIR,2)<>':' then DIR=getcwd()+'\'+DIR,end
  DIR=strsubst(DIR,'/','\');
  MACROS=DIR+'macros\'
end
   
mess=[' ';libtitle+' loaded';
      'enter ""fem_demo()"" to start the Post Processing tool';
      'example files may be found in: '
      '""'+strsubst(MACROS,'macros','examples')+'""']
// load the library
execstr(libname+'=lib(""'+MACROS+'"")')
// add the help chapter
write(%io(2),mess)
//%helps = [%helps; DIR+'man', libtitle]


clear fd err nams DIR libname libtitle mess MACROS

