function [FEM_bd]=FEM_Color(FEM_bd)
FEM_Color_Actions = [	...
    'Read ',     	'Action_Color_Read.sci';
    'Reset',		'Action_Color_Reset.sci';
    'Infos',		'Action_Color_Infos.sci']

num_Color = x_choose(FEM_Color_Actions(:,1),'Color menu');

select num_Color
case 0 then 
  return,
case 1 then 
  FEM_bd('Color')=bbR();
  FEM_bd('Is_Col') = %T,
case 2 then 
  FEM_bd('Color')=0.0 * FEM_bd('Color');
  FEM_bd('Is_Col') = %F,
case 3 then
  if size(FEM_bd('Coord'),1) == FEM_bd('NNod') then
    Type_Str = 'The current color field is piecewise linear'
  end
  if size(FEM_bd('Coord'),1) == FEM_bd('NElem') then
    Type_Str = 'The current color field is piecewise constant'
  end
  x_mdialog (Type_Str, ['Number of values' ; 'Minimum' ; 'Maximum'], ...
      [string(size(FEM_bd('Coord'),1)), string(mini(FEM_bd('Color'))), ...
	  string(maxi(FEM_bd('Color')))]);
end
resume

