function [FEM_bd] = FEM_Disp(FEM_bd);
FEM_Disp_Actions = [	...
    'Read ',     	'Action_Disp_Read.sci';
    'Reset',		'Action_Disp_Reset.sci';
    'Rescale',		'Action_Disp_Scale.sci';
    'Infos',		'Action_Disp_Infos.sci']

num_Disp = x_choose(FEM_Disp_Actions(:,1),'Displacements menu');
select num_Disp
case 0 then
  return,
case 1
  FEM_bd('Disp') = bbR();
case 2
  FEM_bd('Disp') = 0.0 * FEM_bd('Disp');
case 3
  fact = x_mdialog ('Enter a magnification factor', 'factor', '1');
  FEM_bd('Disp') = evstr(fact) * FEM_bd('Disp');
case 4
  x_mdialog ('Displacements infos', ...
      ['Ux min'; 'Uy min'; 'Ux max'; 'Uy max'; '|U| max'] ,...
      [string(mini(abs(FEM_bd('Disp')(:,1)))) , ...
	  string(mini(abs(FEM_bd('Disp')(:,2)))) , ...
	  string(maxi(abs(FEM_bd('Disp')(:,1)))) , ...
	  string(maxi(abs(FEM_bd('Disp')(:,2)))) , ...
	  string(maxi( (FEM_bd('Disp')(:,1))**2 + ...
	  (FEM_bd('Disp')(:,2))**2 ))])
end,
resume
