function []=FEM_PlotP0(FEM_IN)
// Piecewise constant plot
plot2d(1,1,[1],FEM_IN('Strf')," ",FEM_IN('BBox'))
xset("clipgrf");
xx = FEM_IN('Connect')(:,2:4);
xx = matrix(xx,prod(size(xx)),1);
x = FEM_IN('Coord')(xx,2)+FEM_IN('Disp')(xx,1);
x = matrix(x,FEM_IN('NElem'),3);
y = FEM_IN('Coord')(xx,3)+FEM_IN('Disp')(xx,2);
y = matrix(y,FEM_IN('NElem'),3);
x = [x,x(:,1)]';
y = [y,y(:,1)]';


nb_colors = size(FEM_IN('Clmap'),1);
xset('colormap',FEM_IN('Clmap'));
cmin = mini(FEM_IN('Color'));
cmax = maxi(FEM_IN('Color'));
if cmax-cmin ~=0 then
  c = (nb_colors-1)/(cmax-cmin) * (FEM_IN('Color') - cmin) + 1
else
  c = 0.*FEM_IN('Color')
end,
xfpolys(x,y,-1*c);
xset("clipoff")






